:root {
    --bg-color: #ffffff;
    --text-color: #000000;
    --header-bg: #f8f9fa;
    --footer-bg: #f8f9fa;
    --button-backgroud-color: #ffffff;
    --button-font-color: #1e1e1e;
    transition: background-color 0.3s, color 0.3s;
}

body {
    background-color: var(--bg-color);
    color: var(--text-color);
    display: flex;
    flex-direction: column;
    min-height: 100vh;
}

.header {
    position: fixed;
    top: 0;
    width: 100%;
    background-color: var(--header-bg);
    padding: 10px 0;
    box-shadow: 0px 1px 5px rgba(0, 0, 0, 0.5);
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.buttons-container {
    text-align: center;
    flex: 1;
}

.theme-switch {
    cursor: pointer;
    font-size: 1.5rem;
    margin-right: 20px;
}

.image-container {
    flex: 1;
    display: flex;
    justify-content: center;
    align-items: center;
    margin-top: 80px;
    margin-bottom: 40px;
}

.footer {
    text-align: center;
    padding: 10px 0;
    background-color: var(--footer-bg);
}

.dark-mode {
    --bg-color: #121212;
    --text-color: #ffffff;
    --header-bg: #1e1e1e;
    --footer-bg: #1e1e1e;
    --button-backgroud-color: #1e1e1e;
    --button-font-color: #ffffff;
}

.linktree-btn {
    width: 550px;
    height: 60px;
    background-color: var(--button-backgroud-color);
    color: var(--button-font-color);
    text-align: center;
    line-height: 60px;
    border-radius: 30px;
    text-decoration: none;
    font-size: 1.2rem;
    transition: background-color 0.3s ease, color 0.3s ease;
    display: block;
    border: 2px solid #1e1e1e;
}

.linktree-btn:hover {
    background-color: var(--button-font-color);
    color: var(--button-backgroud-color);
}

.linktree-btn.disabled {
    opacity: 0.5;
    cursor: not-allowed;
    pointer-events: none;
}